using System;
using System.Collections.Generic;
using System.Linq;

namespace PushPlatform.Data.Bll
{
    public partial class BllSysSystem
    {
        private DaoAchieve.SysSystemDaoAchieve _CurrentDao = null;
        internal DaoAchieve.SysSystemDaoAchieve CurrentDao
        {
            get{
                if(_CurrentDao==null)
                {
                    _CurrentDao=new DaoAchieve.SysSystemDaoAchieve();
                }
                return _CurrentDao;
            }
        }
        
        public BllSysSystem()
        {
            
        }
    
        #region Service Bll
        public int Save(SysSystem entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Save(entity);
        }
        
        public int Save(List<SysSystem> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        
        public int Delete(string id)
        {
            if(string.IsNullOrEmpty(id))
                return 0;
            return CurrentDao.Delete(id);
        }
        
        public int Update(SysSystem entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Update(entity);
        }
        
        public int Update(List<SysSystem> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        public int SaveOrUpdate(IList<SysSystem> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.SaveOrUpdate(entityList);
        }
        
        public SysSystem Get(string id)
        {
            if (string.IsNullOrEmpty(id))
            {
                return null;
            }
            return CurrentDao.Get(id);
        }
        
        public int GetCount(PushPlatform.Data.Criteria.CriteriaSysSystem mycriteria)
        {
            return CurrentDao.GetCount(mycriteria);
        }
        
        public List<SysSystem> Fetch(PushPlatform.Data.Criteria.CriteriaSysSystem mycriteria)
        {
            if(mycriteria.UsePage && (mycriteria.PageIndex <= 0 || mycriteria.PageSize < 1))
            {
                mycriteria.PageTotal = 0;
                return new List<SysSystem>();
            }
            return CurrentDao.Fetch(mycriteria);
        }
        #endregion
       
    }
}

